classdef (Abstract) device < handle
    %DEVICE serves as an interface for fingerprinting devices
    
    properties
        spectrum
        sensitivity
        nbSeen
    end
    
    methods
        
        function obj = device(hSpectrum,sensitivity)
           %tbd 
           assert(numel(sensitivity) == hSpectrum.nbEmitters);
           obj.spectrum    = hSpectrum;   % handle for spectrum access
           obj.sensitivity = sensitivity'; % one per tech
        end
        
        function acquisition(obj, path, varargin)
            %tbd
        end
        
    end
    
end

