%%%%%
%
%   example.m
%
%   Script with several examples on how to use the inout package
%
%   Author
%   Pedro Silva
%
%   NOTE;
%   run it outside the package if you get errors
%   Last revision: January 2015
close all
clear all

% call import to add the package to your path
import inout.*;      % Adds package
import inout.output; % adds class in package

hfig = output.createfig(1); % Static members still need the class name
plot(1:100,randn(1,100))
xlabel('some time');
ylabel('some data');
title('some title');
output.beautifyfig(hfig);

% disp('Press to continue')
% pause();
%%% As an object 
inout = output(); % or explicitly inout.output()
inout.figure(1); % 0 / 1 sets figure invisible / invisible
inout.xlabel = 'some time';
inout.ylabel = 'some data';
inout.title  = 'some title';
inout.beautify();
